apiVersion: v1
kind: Service
metadata:
  labels:
    app.kubernetes.io/component: puppetdb
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppetdb
  namespace: puppet
spec:
  ports:
  - name: pdb-http
    port: 8080
    targetPort: pdb-http
  - name: pdb-https
    port: 8081
    targetPort: pdb-https
  selector:
    app.kubernetes.io/component: puppetdb
    app.kubernetes.io/name: puppetserver
  type: ClusterIP
